Subject: Bug#980: Replace hardcoded paths to make use of XDG_RUNTIME_DIR

From: Klaus Fuerstberger <[email-masked]>
Date: Tue, 12 Jan 2016 14:03:03 +0100

Package: x2go
Version: 4.0.1.19

I'm sharing a Java application over x2go which is started as single
application. Now there is a problem to access the shared folder of the
client.

x2gomountdirs mounts the folder as a link to /tmp/.x2go-{$USER}/... When
the java applications file chooser dialog wants to access /media then
the selection jumps to /tmp but cannot find the hidden folder
/tmp/.x2go-{$USER} directory, because it is a hidden .dot directory.

Is ist possible to change the hardcoded directories to another, not
hidden path, eg. /tmp/x2go-{$USER}... and additionally move the
temporary files to the users home directory?

Or even better, replace the hardcoded paths in the scripts to use
XDG_RUNTIME_DIR.

Regards
Klaus